package crawler_manager

import (
	"google.golang.org/grpc"
	"log"
	g "loafle.com/overflow/crawler_go/grpc"
	"context"
)

const (
	address = "192.168.1.105:50052"
)

func CallAdd()  {

	conn, err := grpc.Dial(address, grpc.WithInsecure())
	if err != nil {
		log.Fatalf("did not connect: %v", err)
	}
	defer conn.Close()

	cc := g.NewConfigClient(conn)

	in := &g.Input{}

	in.Id = ""
	in.Name = g.Crawlers_HEALTH_DNS

	out, err := cc.Add(context.Background(), in)
	if err != nil {
		log.Println(err)
	}
	log.Println(out)

}

func CallInit() {

	conn, err := grpc.Dial(address, grpc.WithInsecure())
	if err != nil {
		log.Fatalf("did not connect: %v", err)
	}
	defer conn.Close()

	cc := g.NewConfigClient(conn)

	in := &g.Init{}

	in.Path = "";
	in.Name = g.Crawlers_HEALTH_DNS

	inArr := &g.InputArray{}
	inArr.In = append(inArr.In, in)

	outInit, errInit := cc.Init(context.Background(), inArr)
	if errInit != nil {
		log.Println(errInit)
	}
	log.Println(outInit)

}

func CallRemove() {

	conn, err := grpc.Dial(address, grpc.WithInsecure())
	if err != nil {
		log.Fatalf("did not connect: %v", err)
	}
	defer conn.Close()

	cc := g.NewConfigClient(conn)

	inR := &g.Input{}
	inR.Id = "123123"
	inR.Name = g.Crawlers_HEALTH_DNS

	outRem, errRem := cc.Remove(context.Background(), inR)
	if errRem != nil {
		log.Println(errRem)
	}
	log.Println(outRem)

}